# Medical

* [cfg.commandName](#cfg.commandname)
* [cfg.autoInjuried](#cfg.autoinjuried)
* [cfg.healthLevel](#cfg.healthlevel)
* [cfg.customVitals](#cfg.customvitals)
* [cfg.allowCustomVitals](#cfg.allowcustomvitals)
* [cfg.preset](#cfg.preset)
* [cfg.healOnStop](#cfg.healonstop)
* [cfg.minCprCompressions](#cfg.mincprcompressions)

***

## 🗨️ cfg.commandName

This is the command to  use to set yourself as a injuried / victim

```lua
cfg.commandName = 'injuried'
```

***

## 🤕cfg.autoInjuried

Set to ***true*** if you want the script to automatically set a player as injuried if it's health fall's under a certain level, set with : [cfg.healthLevel](#cfg.healthlevel).\
Set to ***false*** if you don't want this to happen

```lua
cfg.autoInjuried = true 
```

***

## 💓 cfg.healthLevel

Health percentage to be set as "Injuried" for the script. Only applies if [cfg.autoInjuried](#cfg.autoinjuried) is set to ***true***

```lua
cfg.healthLevel = 25
```

***

## 🗨️ cfg.customVitals

This is the command to  use to set acess the custom vitals UI

```lua
cfg.customVitals = 'customVitals'
```

***

## 🛂 cfg.allowCustomVitals

Allow the players to open the customVitals UI and override the script health levels by setting medical cases such as Bradychardia ... and saved presets as defined in cfg.preset.

```lua
cfg.allowCustomVitals = true
```

***

## 🎛️ cfg.preset

These are the presets displayed and used in the custom vitals UI. These are the values from which the script will start to act when a reanimation is ongoing. These will evolve during use.

Fields explanation even if they are mostly self explanatory :&#x20;

* `presetName` : The displayed name in the UI for the actual preset
* `oxygenSaturation` :  Percentage of oxygen between 0% and 100%
* `cardiacFrequency` : A cardiac frequency between 0 and 250
* `reanimationChance` : A percentage between 0 and 100 that the CPR will work
* `arterialPressure` : A string containing the blood pressure in this format ***"systolic/diastolic"***
* `cardiacArrest` ***:*** Sets if the player is in cardiac arrest and needs CPR or just need to be stabilised

***

## 🩹 cfg.healOnStop

Specify if the script should be giving back health after the player stops the /injuried command.

```lua
cfg.healOnStop = true
```

{% hint style="warning" %}
Letting this value at true could cause abuses if a player does /injuried two times, performing the same action as a /revive. Use with caution.
{% endhint %}

***

## 🫀 cfg.minCprCompressions&#x20;

Specify the minimum number of CPR compressions needed to perform before the victim can be revived.

```lua
cfg.minCprCompressions = 131
```

{% hint style="info" %}
The victim will not always recover at the given number of compressions, it could and most likely will take some more CPR compressions since its a random calculation based on this value
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pingouin.dev/scripts-docs/medical-reanimation-script/general-config/medical.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
